Loading...
Searching...
No Matches
Functions

Interfaces and implementations of functions. More...

Collaboration diagram for Functions:

## Topics

| Function concepts
| Concept definitions for function interfaces.
| Function interface wrappers
| Type-erasure based polymorphic wrappers.
| Function implementations
| Concrete function implementations.
| Function related utilities
| Helper classes and functions related to functions.

## Detailed Description

Interfaces and implementations of functions.

Since interfaces in dune-functions rely on duck-typing there are no base classes to ensure interfaces. Instead of this each type can be checked, if it satisfies a certain concept as defined in the Dune::Functions::Concept namespace. Additionally there is a polymorphic interface consisting of type-erasure wrappers in the spirit of std::function.